查询请款池 - 其他费用
POST
/basicOpen/finance/requestFundsPool/otherFee/list接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/finance/requestFundsPool/otherFee/list | HTTPS | POST | 1 |
请求参数
endTimestringstartTimestringlengthintegeroffsetintegerpurchaserIdsarray<any>searchFieldstringsearchFieldTimestringsearchValuestringstatusintegersupplierIdsarray<any>请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/finance/requestFundsPool/otherFee/list?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"endTime": "2024-12-31",
"startTime": "2024-01-01",
"length": 20,
"offset": 0,
"purchaserIds": [1234567890,9876543210],
"searchField": "order_sn",
"searchFieldTime": "create_time",
"searchValue": "PO20240101",
"status": 0,
"supplierIds": [1234567890,9876543210]
}'
返回结果
Json Object
codeinteger必填dataobject必填隐藏子属性
listarray<object>必填隐藏子属性
amountNotPaidstring必填amountPaidstring必填applyedAmountstring必填applyedDiscountstring必填applyedGoodsValuestring必填applyingAmountstring必填applyingDiscountstring必填applyingGoodsValuestring必填applyingOrdersarray<any>必填closeDatestring必填closeTimeinteger必填closedByUidinteger必填closedByUserstring必填closedRemarkstring必填currencystring必填customOrderSnstring必填discountAmountstring必填feestring必填feeTypeIdinteger必填feeTypeNamestring必填iconstring必填idinteger必填isAutoDoneinteger必填notApplyAmountstring必填optRealnamestring必填optUidinteger必填orderSnstring必填paidOrdersarray<any>必填payStatusinteger必填payStatusTextstring必填payableAmountstring必填purchaserIdinteger必填purchaserNamestring必填supplierIdinteger必填supplierNamestring必填unapplyGoodsValuestring必填updateUidinteger必填wareHouseNamestring必填widinteger必填totalinteger必填error_detailsarray<any>必填messagestring必填request_idstring必填response_timestring必填totalinteger必填返回成功示例
{
"code": 0,
"data": {
"list": [
{
"amountNotPaid": "2500",
"amountPaid": "1500.5",
"applyedAmount": "3500",
"applyedDiscount": "50",
"applyedGoodsValue": "4500",
"applyingAmount": "2000",
"applyingDiscount": "30",
"applyingGoodsValue": "3000",
"applyingOrders": [
54321,
98765
],
"closeDate": "2024-11-15",
"closeTime": 1700000000,
"closedByUid": 1234567890,
"closedByUser": "张三",
"closedRemark": "已全额付清",
"currency": "CNY",
"customOrderSn": "CUSTOM-2024-001",
"discountAmount": "100",
"fee": "5000",
"feeTypeId": 1234567890,
"feeTypeName": "运输费",
"icon": "icon_other_fee.png",
"id": 1001,
"isAutoDone": 0,
"notApplyAmount": "1000",
"optRealname": "李四",
"optUid": 1234567890,
"orderSn": "PO202401010001",
"paidOrders": [
12345,
67890
],
"payStatus": 2,
"payStatusText": "未付清",
"payableAmount": "5000",
"purchaserId": 1234567890,
"purchaserName": "深圳采购中心",
"supplierId": 1234567890,
"supplierName": "顺丰物流",
"unapplyGoodsValue": "1500",
"updateUid": 1234567890,
"wareHouseName": "华南仓库",
"wid": 1234567890
},
{
"amountNotPaid": "1000",
"amountPaid": "500",
"applyedAmount": "2000",
"applyedDiscount": "20",
"applyedGoodsValue": "2500",
"applyingAmount": "500",
"applyingDiscount": "10",
"applyingGoodsValue": "1000",
"applyingOrders": [
11223,
44556
],
"closeDate": null,
"closeTime": null,
"closedByUid": null,
"closedByUser": null,
"closedRemark": null,
"currency": "USD",
"customOrderSn": "CUSTOM-2024-002",
"discountAmount": "50",
"fee": "3000",
"feeTypeId": 2345678901,
"feeTypeName": "关税",
"icon": "icon_tariff.png",
"id": 1002,
"isAutoDone": 0,
"notApplyAmount": "500",
"optRealname": "王五",
"optUid": 2345678901,
"orderSn": "PO202401020002",
"paidOrders": [
99887
],
"payStatus": 1,
"payStatusText": "申请中",
"payableAmount": "3000",
"purchaserId": 2345678901,
"purchaserName": "上海采购部",
"supplierId": 2345678901,
"supplierName": "UPS快递",
"unapplyGoodsValue": "500",
"updateUid": 2345678901,
"wareHouseName": "华东仓库",
"wid": 2345678901
}
],
"total": 2
},
"error_details": [],
"message": "成功",
"request_id": "some_request_id_123",
"response_time": "2024-01-01 12:00:00",
"total": 2
}